:root {
    --bg: #11111b;
    --content: #1e1e2e;
    --text: #cdd6f4;
    --border: #313244;
    --border-alt: #45475a;
    --accent: #a6e3a1;
    --accent-alt: #fab387;
    --accent-tert: #89dceb;
    @media (prefers-color-scheme:light) {
    --bg: #dce0e8;
    --content: #eff1f5;
    --text: #4c4f69;
    --border: #ccd0da;
    --border-alt: #bcc0cc;
    --accent: #40a02b;
    --accent-alt: #fe640b;
    --accent-tert: #04a5e5;
    }
}

* {
    box-sizing: border-box;
    transition: all 0.4s ease-in-out;
}

body, html {
    color: var(--text);
    background: var(--bg);
    font-family: 'League Spartan', sans-serif;
    font-size: 14px;
}

::selection {
    background: var(--accent-tert);
    color: var(--bg);
    @media (prefers-color-scheme:light) {
        color: var(--content);
    }
}

h1,
h2,
h3,
h4 {
    font-family: Lora, serif;
    font-weight: 400;
    font-style: italic;
    width: 100%;
    letter-spacing: -0.1rem;
    line-height: 1.15;
    text-align: center;
    padding-bottom: 0.5rem;
    padding-top: 0.5rem;
    border-bottom: solid 2px var(--border);
    margin: 0;
}

h1 {
    color: var(--accent);
    font-size: 2.027rem;
}

h1 span {
    border-bottom: solid 2px var(--accent);
    padding-bottom: calc(0.5rem - 1.5px);
}

h2 {
    font-size: 1.802rem;
}

h2 span {
    border-bottom: solid 2px var(--accent-alt);
    padding-bottom: calc(0.5rem - 1.5px);
}

h3 {
    font-size: 1.602rem;
}

h3 span {
    border-bottom: solid 2px var(--accent-tert);
    padding-bottom: calc(0.5rem - 1.5px);
}

h4 {
    font-size: 1.424rem;
}

h4 span {
    border-bottom: solid 2px var(--accent);
    padding-bottom: calc(0.5rem - 1.5px);
}

h5 {
    font-size: 1.266rem;
}

h6 {
    font-size: 1.125rem;
}

small {
    font-size: 0.889rem;
}

p {
    line-height: 1.6;
    font-size: 1rem;
}

a {
    color: var(--text);
    text-decoration: none;
    border-bottom: solid 2px var(--accent);
}

a:hover {
    color: var(--accent);
}

main {
    background: var(--content);
    max-width: 800px;
    margin: auto;
    padding: 2rem;
    gap: 1rem;
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
}

ul {
    list-style-type: none;
    padding-left: 2.5rem;
    line-height: 1.4;
}

ul li::before, .quote p::before {
    content: '';
    width: 1.6rem;
    height: 2px;
    background: var(--accent-alt);
    position: absolute;
    margin-left: -2rem;
    margin-top: 0.5rem;
    transition: width 0.4s ease-in-out, margin-left 0.4s ease-in-out;
}

.shrine-cat ul li:hover {
    padding-left: 0.6rem;
}

.shrine-cat ul li:hover::before {
    width: 2rem;
    margin-left: -2.6rem;
}

.sidebar-item {
    border-bottom: solid 2px var(--border);
    padding-bottom: 1rem;
    padding-top: 1rem;
    margin: 0;
    width: 100%;
}

.cred {
    text-align: center;
    display: inline-block;
}

.link-icons {
    padding: none;
    font-size: 1.802rem;
    padding: 0;
    text-align: center;
}

.link-icons li {
    display: inline-block;
    width: fit-content;
    padding-top: 1rem;
    padding-bottom: 0.5rem;
}

.link-icons li::before,
.updates li::before {
    all: revert;
}

.link-icons a,
.listies a {
    border-bottom: none;
}

.updates li {
    padding-top: 1rem;
}

.updates li:first-child {
    padding-top: 0;
}

.updates li::before {
    color: var(--accent);
    font-family: tabler-icons;
    margin-left: -2rem;
    margin-top: -0.1rem;
    position: absolute;
}

.reading::before {
    content: '\ea39' !important;
}
.watching::before {
    content: '\f1d3' !important;
}
.playing::before {
    content: '\eb63' !important;
}
.listening::before {
    content: '\eafc' !important;
}

.listies {
    padding-top: 1rem;
    text-align: center;
}

.blocky {
    flex-grow: 1;
}

.has-sidebar {
    width: calc(100% - (200px + 1rem));
}

.sidebar {
    width: 200px;
}

.quote {
    border-color: var(--accent-tert);
}

.quote blockquote {
    margin: 0;
    line-height: 1.4;
}

.quote p {
    padding-left: 6rem;
    line-height: 1.4;
    margin-top: 0.5rem;
    margin-bottom: 0;
}

.shrines {
    display: flex;
    flex-flow: row wrap;
    gap: 2rem;
    justify-content: center;
}

.shrine-cat {
    width: 175px;
    max-width: 100%;
}

.shrine-cat h4 {
    background: var(--border);
    border-color: var(--border-alt);
}

.shrine-cat a, .shrine-cat a:hover {
    border-bottom: none;
}

#templateWebring {
    margin-top: 1rem;
    border: dotted 2px var(--border);
    padding: 1rem;
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    align-items: center;
    gap: 1rem;
}

#webringiconbox {
    width: fit-content;
}

#iconWebring {
    width: 100px;
    border: solid 2px var(--accent);
}

#webringdesc,
#webringlinks {
    text-align: center;
    width: fit-content;
    margin: 0;
    border: solid 2px var(--border);
    padding: 1rem;
}

#webringlinks {
    font-size: 0.937rem;
    height: fit-content;
}

#linkparaWebring {
    margin: 0;
}

footer {
    max-width: 800px;
    text-align: center;
    margin: auto;
    padding-top: 1rem;
}

.visually-hidden {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    white-space: nowrap;
    border: 0;
}

@media (max-width: 680px) {
    .sidebar,
    .has-sidebar {
        width: 100%;
    }
}
